> ## Documentation Index
> Fetch the complete documentation index at: https://docs.4r.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Delete URLs

> Delete multiple URLs at once

<Note>
  This feature requires the `bulk_operations` permission (Pro/Enterprise plans).
</Note>

## Request Body

<ParamField body="ids" type="array" required>
  Array of URL IDs to delete
</ParamField>

<Warning>
  This action is permanent and cannot be undone.
</Warning>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://snip.sa/api/urls/bulk-delete \
    -H "Content-Type: application/json" \
    -H "X-API-Key: your_api_key_here" \
    -d '{
      "ids": [
        "507f1f77bcf86cd799439011",
        "507f1f77bcf86cd799439012",
        "507f1f77bcf86cd799439013"
      ]
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await axios.post(
    'https://snip.sa/api/urls/bulk-delete',
    {
      ids: [
        '507f1f77bcf86cd799439011',
        '507f1f77bcf86cd799439012',
        '507f1f77bcf86cd799439013'
      ]
    },
    {
      headers: {
        'Content-Type': 'application/json',
        'X-API-Key': 'your_api_key_here'
      }
    }
  );
  ```

  ```python Python theme={null}
  response = requests.post(
      'https://snip.sa/api/urls/bulk-delete',
      headers={
          'Content-Type': 'application/json',
          'X-API-Key': 'your_api_key_here'
      },
      json={
          'ids': [
              '507f1f77bcf86cd799439011',
              '507f1f77bcf86cd799439012',
              '507f1f77bcf86cd799439013'
          ]
      }
  )
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "message": "3 URLs deleted successfully"
  }
  ```
</ResponseExample>
